Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Webmaps
Target version: 2.3.0-2440  (rev. org.gvsig.desktop-2.0.146)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2436 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: webmaps, crs Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Same issue of #4273 but related to webmaps layers (Google and Bing Maps).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4273: OSM layers are not... Closed 07/07/2016

Associated revisions
Revision 58 - 07/29/2016 02:25 PM - Francisco Díaz Carsí

refs #4279 Añadida advertencia a las pestañas de carga de capas de los servicios BingsMaps y GoogleMaps en caso de que la proyección de la vista
no sea la EPSG:3857

History
#1 - 07/25/2016 07:03 PM - Álvaro Anguix
- Category set to Webmaps

#2 - 07/25/2016 07:16 PM - Álvaro Anguix

In this version webmaps go with EPSG:3857, as you said.
I think that we must to show a message when the user try to load the layer in a View with other EPSG.
Something like (in Spanish) "La proyección de la capa (EPSG:3857) no coincide con la de la Vista"

#3 - 07/25/2016 07:16 PM - Álvaro Anguix
- Related to gvSIG bugs #4273: OSM layers are not loaded correctly if view CRS is not EPSG:3857 added

#4 - 07/25/2016 07:32 PM - Antonio Falciano

In my humble opinion, this could be a good management of tiled layers right now (see #4273#note-1):

If the reprojection on the fly of tiled layers is not planned right now (gvSIG 2.3.0), they could be managed according the following pseudocode: if
the view CRS is EPSG:3857, then load the tiled layer, else (if the tiled layer is the first one of the view, then set the view CRS as EPSG:3857, else
warn the user that the tiled layer can't be reprojected on the fly at the moment and don't load it).
#5 - 07/25/2016 07:42 PM - Álvaro Anguix

Your recommendation would be for any first layer with EPSG known. 
:-)

#6 - 07/25/2016 07:46 PM - Antonio Falciano

Álvaro Anguix wrote:

Your recommendation would be for any first layer with EPSG known. 
:-)

For "tiled layers" I means OSM or Webmaps ones here. If we load a simple GeoTIFF as tiled layer and we know its projection, there are not problems.

PS: EPSG rules! ;-)

#7 - 08/01/2016 08:23 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

Se ha añadido un mensaje de advertencia en el panel de carga de GoogleMaps y BingMaps indicando que la proyección de la vista no es adecuada
para cargar capas de estos servicios en caso de que ésta no sea EPSG:3857

#8 - 08/03/2016 09:28 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2440  (rev. org.gvsig.desktop-2.0.146)

#9 - 08/04/2016 07:13 PM - Antonio Falciano
- Status changed from Fixed to Closed

#10 - 11/02/2016 01:56 PM - Francisco Puga

Sorry for comment in a closed ticket but I have two questions:

    -  It would be nice if the ok button will be disabled if the view is not in EPSG:3857. It's easy to click ok without seeing the message in the panel.

    -  Second question. Is it in the roadmap load webmaps when the layer is in another crs? If it is, it is known when?

#11 - 07/17/2017 10:08 PM - Mario Fevre

El mensaje de advertencia no se estaría manifestando en 2.4 b2827. lo verifique con capas google y bing y proyección de vista 4326

#12 - 07/18/2017 10:18 AM - Antonio Falciano

Francisco Puga wrote:

Sorry for comment in a closed ticket but I have two questions:
    -  It would be nice if the ok button will be disabled if the view is not in EPSG:3857. It's easy to click ok without seeing the message in the panel.
    -  Second question. Is it in the roadmap load webmaps when the layer is in another crs? If it is, it is known when?

@Francisco: I'm agree with you... Disabling also the Ok button instead of adding the warning message could be a good option. However, the
reprojection on the fly of tiles should be the best one!

Mario Fevre wrote:

El mensaje de advertencia no se estaría manifestando en 2.4 b2827. lo verifique con capas google y bing y proyección de vista 4326

@Mario: I've just verified that the warning message appears in EPSG:4326 views correctly in b2827. Maybe the i18n translation string is empty. Could
you verify it?

#13 - 07/18/2017 01:58 PM - Álvaro Anguix

@Francisco: Second question. Is it in the roadmap load webmaps when the layer is in another crs? If it is, it is known when?
With new raster architecture (gvSIG 2.5) it will be possible to load webmaps in any CRS...."I've seen things you people wouldn't believe." 
:-P
